Skip to main content
GET
/
v1
/
offers
/
{id}
Get Offer
curl --request GET \
  --url https://api.lab.fieldnode.dev/v1/offers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "consumerId": "<string>",
  "manufacturerId": "<string>",
  "factoryId": "<string>",
  "partId": "<string>",
  "title": "<string>",
  "description": "<string>",
  "rfqId": "<string>",
  "currency": "NOK",
  "itemsInUnit": 123,
  "priceMatrix": [
    {
      "unitFrom": 123,
      "unitTo": 123,
      "pricePerUnit": 123,
      "leadTimeDays": 123,
      "orderFee": 123
    }
  ],
  "shippingPrice": 123,
  "frameworkNumber": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.fieldnode.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Offer id.

Response

The request has succeeded.

id
string
required

Offer id.

consumerId
string
required

Consumer organization id.

manufacturerId
string
required

Manufacturer organization id.

factoryId
string
required

Factory id.

partId
string
required

Part id this offer is for.

title
string

Offer title.

description
string

Offer description.

rfqId
string

Rfq id this offer responds to.

currency
enum<string>

Currency of the offer.

Available options:
NOK,
EUR,
USD,
JPY,
SGD
itemsInUnit
integer<int32>

Number of items per unit.

priceMatrix
object[]

Tiered price matrix.

shippingPrice
number<double>

Shipping price.

frameworkNumber
string

Framework agreement number.